Skip to main content
Document Operations

Show latest revision PDF details

<small>Requires an API token with the Document Reader role.</small>

GET
/documents/{document}/revisions/latest/pdf

This endpoint provides access to the most recent revision of a document in PDF format.

The pdf_url field of the response contains a temporary URL that can be used to fetch the latest revision of the document as a PDF. The URL is pre-authenticated - i.e. it can be requested without sending any additional HTTP headers.

Note that the pdf_url will expire a short time after the response is returned. If the URL has expired, this endpoint can be requested again to obtain a new pdf_url.

Alternatively, the Download latest revision PDF endpoint can be used to fetch the document PDF.

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

documentstringrequired

The document UUID

Response

application/json

DocumentRevisionPdfResource

dataobjectrequired